QUASSEL(1)

NAME
quassel - manual page for quassel v0.14.0 (dist-da9c1c9)

SYNOPSIS
quasselcore [options]

DESCRIPTION
Quassel IRC is a modern, distributed IRC client. One (or multiple) client(s) can attach to and detach from a central core -- much like the popular combination of screen and a text-based IRC client such as WeeChat, but graphical.

quasselcore provides the daemon which connects to IRC networks, allowing any number of Quassel clients to connect, including the official desktop client, the quasselclient program.

OPTIONS

-c, --configdir <path>
    Specify the directory holding configuration files, the SQlite database and the SSL certificate.

--listen <<address>[,<address>[,...]]>
    The address(es) quasselcore will listen on.

-p, --port <port>
    The port quasselcore will listen at.

-n, --norestore
    Don't restore last core's state.

--config-from-environment
    Load configuration from environment variables.

--select-backend <backendidentifier>
    Switch storage backend (migrating data if possible).

--select-authenticator <authidentifier>
    Select authentication backend.

--add-user
    Starts an interactive session to add a new core user.

--change-userpass <username>
    Starts an interactive session to change the password of the user identified by <username>.

--strict-ident
    Use users' quasselcore username as ident reply. Ignores each user's configured ident setting.

--ident-daemon
    Enable internal ident daemon.

--ident-port <port>
    The port quasselcore will listen at for ident requests. Only meaningful with --ident-daemon.

--ident-listen <<address>[,...]>
    The address(es) quasselcore will listen on for ident requests. Same format as --listen.

--oidentd
    Enable oidentd integration. In most cases you should also enable --strict-ident.

--oidentd-conffile <file>
    Set path to oidentd configuration file.

--proxy-cidr <<address>[,...]>
    Set IP range from which proxy protocol definitions are allowed

--require-ssl
    Require SSL for remote (non-loopback) client connections.

--ssl-cert <path>
    Specify the path to the SSL certificate.

--ssl-key <path>
    Specify the path to the SSL key.

--metrics-daemon
    Enable metrics API.

--metrics-port <port>
    The port quasselcore will listen at for metrics requests. Only meaningful with --metrics-daemon.

--metrics-listen <<address>[,...]>
    The address(es) quasselcore will listen on for metrics requests. Same format as --listen.

-L, --loglevel <level>
    Supports one of Debug|Info|Warning|Error; default is Info.

-l, --logfile <path>
    Log to a file.

--syslog
    Log to syslog.

-d, --debug
    Enable debug output.

--debug-irc
    Enable logging of all raw IRC messages to debug log, including passwords! In most cases you should also set --loglevel Debug

--debug-irc-id <database network ID>
    Limit raw IRC logging to this network ID. Implies --debug-irc

--debug-irc-parsed
    Enable logging of all parsed IRC messages to debug log, including passwords! In most cases you should also set --loglevel Debug

--debug-irc-parsed-id <database network ID>
    Limit parsed IRC logging to this network ID. Implies --debug-irc-parsed

-h, --help
    Displays help on commandline options.

--help-all
    Displays help including Qt specific options.

-v, --version
    Displays version information.

AUTHORS
The full list of Quassel IRC authors and contributors may be seen in quasselclient's About window.

This manual page was written by Thomas Mueller <thomas.mueller@tmit.eu> and updated by Shane Synan <digitalcircuit36939+deb@gmail.com> and Scott Kitterman <scott@kitterman.com> (with the assitance of help2man), for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License version 2 or any later version published by the Free Software Foundation.

SEE ALSO
The full documentation for quassel is maintained as a Texinfo manual. If the info and quassel programs are properly installed at your site, the command

    info quassel

should give you access to the complete manual.